Name:           devassistant
Version:        0.4.0
Release:        2%{?dist}
Summary:        Developer tool for setting up projects quickly

License:        GPLv2+
URL:            https://github.com/bkabrda/devassistant
Source0:        https://pypi.python.org/packages/source/d/%{name}/%{name}-%{version}.tar.gz
Patch0:         devassistant-0.2.0-alter-paths-for-fedora.patch
Patch1:         devassistant-0.4.0-fix-manpage-typo.patch
BuildArch:      noarch
 
BuildRequires:  pytest
BuildRequires:  python2-devel
BuildRequires:  python-flexmock
BuildRequires:  python-setuptools

BuildRequires:  PyYAML

# it seems that other packages using bash-completion don't depend
# on it and rather just own the directory, so we will do the same
Requires:       git
Requires:       python-PyGithub
Requires:       python-setuptools
Requires:       PyYAML
Requires:       zenity

%global __requires_exclude ^/usr/bin/php$

%description
Developer assistant is a tool for all developers using (not-only) Fedora.
It helps with creating and setting up basic projects in many languages,
setting up development environment, setting up source control and
installing dependencies.

%prep
%setup -q -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{name}.egg-info

%patch1 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{_mandir}/man1
install manpages/%{name}.1 %{buildroot}%{_mandir}/man1
install manpages/%{name}-modify.1 %{buildroot}%{_mandir}/man1
install manpages/%{name}-prepare.1 %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
install %{name}.bash %{buildroot}%{_sysconfdir}/bash_completion.d/

## move assistants, snippets and templates into %%{_datadir}
# first, do the alterations to paths in devassistant
pushd %{buildroot}%{python_sitelib}
patch -p1 < %{PATCH0}
find . -name '*.py' -exec sed -i 's|_DATADIR_DEVASSISTANT|%{_datadir}/%{name}|' {} \;
popd
# now actually move the stuff
mkdir -p %{buildroot}%{_datadir}/%{name}/assistants
mv %{buildroot}%{python_sitelib}/%{name}/assistants/assistants %{buildroot}%{_datadir}/%{name}/assistants
mv %{buildroot}%{python_sitelib}/%{name}/assistants/snippets %{buildroot}%{_datadir}/%{name}/assistants
mv %{buildroot}%{python_sitelib}/%{name}/templates %{buildroot}%{_datadir}/%{name}

%check
%{__python} setup.py test -t py.test

%files
%doc README.rst LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}-modify
%{_bindir}/%{name}-prepare
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{name}-modify.1.gz
%{_mandir}/man1/%{name}-prepare.1.gz
%{_sysconfdir}/bash_completion.d/
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-%{version}-py?.?.egg-info

%changelog
* Wed Jul 03 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.4.0-2
- Fix manpage typo, rhbz#980646.

* Mon Jul 01 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.4.0-1
- Update to 0.4.0.

* Wed May 15 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.1-1
- Update to 0.3.1.
- Remove no longer needed dependencies (jinja2, plumbum).

* Wed Mar 20 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2.2-1
- Update to 0.2.2 because of minor bug in 0.2.1.

* Wed Mar 20 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2.1-1
- Update to devassistant 0.2.1.
- Introduce bash completion script.

* Mon Mar 18 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2.0-1
- Update to devassistant 0.2.0.
- Move assistants and snippets to %%{datadir}/%%{name}.
- Introduce manpage.

* Tue Mar 12 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.1.0-3
- Move templates to %%{_datadir}.

* Tue Mar 12 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.1.0-2
- Use BR: python2-devel instead of python-devel.

* Fri Mar 08 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.1.0-1
- Initial package.
